Compiling a statically linked binary for bitcoin core v0.12.0

0
30


I am attempting to compile a statically linked binary following https://github.com/bitcoin/bitcoin/tree/grasp/relies upon. However after I run make I obtained this error:

fcmatch.c:284:63: error: 'PRI_CHAR_WIDTH_STRONG' undeclared right here (not in a perform); did you imply 'PRI_CHAR_HEIGHT_STRONG'?
  284 | #outline FC_OBJECT(NAME, Kind, Cmp) { FC_##NAME##_OBJECT, Cmp, PRI_##NAME##_STRONG, PRI_##NAME##_WEAK },
      |                                                               ^~~~
fcobjs.h:54:1: word: in enlargement of macro 'FC_OBJECT'
   54 | FC_OBJECT (CHAR_WIDTH,  FcTypeInteger, NULL)
      | ^~~~~~~~~
fcmatch.c:284:84: error: 'PRI_CHAR_WIDTH_WEAK' undeclared right here (not in a perform); did you imply 'PRI_CHAR_HEIGHT_WEAK'?
  284 | #outline FC_OBJECT(NAME, Kind, Cmp) { FC_##NAME##_OBJECT, Cmp, PRI_##NAME##_STRONG, PRI_##NAME##_WEAK },
      |                                                                                    ^~~~
fcobjs.h:54:1: word: in enlargement of macro 'FC_OBJECT'
   54 | FC_OBJECT (CHAR_WIDTH,  FcTypeInteger, NULL)
      | ^~~~~~~~~
make[4]: *** [Makefile:613: fcmatch.lo] Error 1
make[4]: Leaving listing '/usr/native/src/bitcoin-0.12.0/relies upon/work/construct/x86_64-pc-linux-gnu/fontconfig/2.11.1-14f43f3a52a/src'
make[3]: *** [Makefile:474: all] Error 2
make[3]: Leaving listing '/usr/native/src/bitcoin-0.12.0/relies upon/work/construct/x86_64-pc-linux-gnu/fontconfig/2.11.1-14f43f3a52a/src'
make[2]: *** [Makefile:561: all-recursive] Error 1
make[2]: Leaving listing '/usr/native/src/bitcoin-0.12.0/relies upon/work/construct/x86_64-pc-linux-gnu/fontconfig/2.11.1-14f43f3a52a'
make[1]: *** [Makefile:444: all] Error 2
make[1]: Leaving listing '/usr/native/src/bitcoin-0.12.0/relies upon/work/construct/x86_64-pc-linux-gnu/fontconfig/2.11.1-14f43f3a52a'
make: *** [funcs.mk:240: /usr/local/src/bitcoin-0.12.0/depends/work/build/x86_64-pc-linux-gnu/fontconfig/2.11.1-14f43f3a52a/./.stamp_built] Error 2

I am doing this on ubuntu 20.04 LTS utilizing the supply code of bitcoin core v0.12.0. I already compiled the supply code and since it’s an outdated model it was mandatory to put in some outdated libraries. However I consider the issue is expounded to the C++ model and I do not know methods to set the suitable C++ model. How can I repair that?



Supply hyperlink

Leave a reply